<?php
if (!class_exists('System')) exit; // Запрет прямого доступа

if ($Config->wysiwyg == "my_codemirror") 
{
	
$MyCodeMirrorStorage = new EngineStorage('module.my.code.mirror');
$list_ch = $MyCodeMirrorStorage->get('list_ch');
$line_numbers = $MyCodeMirrorStorage->get('line_numbers');
$line_wrapping = $MyCodeMirrorStorage->get('line_wrapping');
$customize_from = $MyCodeMirrorStorage->get('customize_from');

			if (!$list_ch) { $list_ch = 'default'; }
			if (!$line_numbers) { $line_numbers = 'false'; }
			if (!$line_wrapping) { $line_wrapping = 'false'; }
			if (!$customize_from) { $customize_from = '0'; }
			
			$height_auto = ''; if ($customize_from != false) { $height_auto = 'height: auto;'; } 
			
System::addAdminHeadHtml('
<!-- Create a simple CodeMirror instance -->
<link rel="stylesheet" href="/modules/my_codemirror/lib/codemirror.css">
<script src="/modules/my_codemirror/lib/codemirror.js"></script>

<link rel="stylesheet" href="/modules/my_codemirror/theme/theme.css">

<script src="/modules/my_codemirror/addon/edit/matchbrackets.js"></script>
<script src="/modules/my_codemirror/addon/selection/active-line.js"></script>

<link rel="stylesheet" href="/modules/my_codemirror/addon/display/fullscreen.css">
<script src="/modules/my_codemirror/addon/display/fullscreen.js"></script>

<script src="/modules/my_codemirror/addon/edit/closebrackets.js"></script>

<script src="/modules/my_codemirror/addon/edit/closetag.js"></script>

<script src="/modules/my_codemirror/mode/htmlmixed/htmlmixed.js"></script>
<script src="/modules/my_codemirror/mode/xml/xml.js"></script>
<script src="/modules/my_codemirror/mode/javascript/javascript.js"></script>
<script src="/modules/my_codemirror/mode/css/css.js"></script>
<script src="/modules/my_codemirror/mode/clike/clike.js"></script>
<script src="/modules/my_codemirror/mode/php/php.js"></script>

<style type="text/css">.CodeMirror { border: 1px solid lightgray; '.$height_auto.' } </style>
');
			
System::addAdminEndHtml('
<script>

// ищем все textarea
var All_TextAreas = document.querySelectorAll("textarea");

// выводим все textarea с CodeMirror
for (var i = 0; i < All_TextAreas.length; i++)
 {
 
  var editor = CodeMirror.fromTextArea(All_TextAreas[i], {  
        lineNumbers: '.$line_numbers.',
		lineWrapping: '.$line_wrapping.',
        matchBrackets: true,
        mode: "application/x-httpd-php",
        indentUnit: 4,
		styleActiveLine: true,
        indentWithTabs: true,
		autoCloseBrackets: true,
		autoCloseTags: true,
			
		//- на весь экран	
		extraKeys: {
        "F11": function(cm) {
          cm.setOption("fullScreen", !cm.getOption("fullScreen"));
        },
        "Esc": function(cm) {
          if (cm.getOption("fullScreen")) cm.setOption("fullScreen", false);
        }
        }
		//-
	  
      });
 
  //- тема	  
  var theme = "'.$list_ch.'";
  editor.setOption("theme", theme);
  //-
  
 }

</script>
');

}	

?>